/**
// C++ Implementation: DateTableWidgetItem
//
// Description: 
//
//
// Author: Muylkens Toon <toon.muylkens@student.kuleuven.be>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
*/

#include "DateTableWidgetItem.h"
// #include <stdio.h>
// #include <iostream>
// 
// using namespace std;



DateTableWidgetItem::DateTableWidgetItem(QDate date)
     : QTableWidgetItem()
{
	setText(StringDate(date).getQString());	
}

DateTableWidgetItem::DateTableWidgetItem(QString date)
     : QTableWidgetItem()
{
	setText(StringDate(date).getQString());
}

DateTableWidgetItem::DateTableWidgetItem()
     : QTableWidgetItem()
{
	
}


bool DateTableWidgetItem::operator<( const DateTableWidgetItem &s1 ) const{
QDate date1 = StringDate(text()).getQDate();
QDate date2 = StringDate(s1.text()).getQDate();
return date1<date2;
}

bool DateTableWidgetItem::operator<( const QTableWidgetItem &s1 ) const{
QDate date1 = StringDate(text()).getQDate();
QDate date2 = StringDate(s1.text()).getQDate();
return date1<date2;
}
